package com.common.commonlib.net.callback

import com.common.commonlib.log.Logger

/**
 * 不需要关注onComplete的请求回调
 *
 * @author wangym
 * @since 2021/8/2
 */
abstract class RequestResultCallBack<T> : RequestCallBack<T> {
    abstract override fun onResult(result: T)

    abstract override fun onError(error: String?)

    override fun onComplete() {
        Logger.d("RequestResultCallBack: onComplete")
    }
}